package com.example.networksample

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.enableEdgeToEdge
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Scaffold
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.tooling.preview.Preview
import com.example.networksample.data.local.DataStore
import com.example.networksample.data.remote.network.RetrofitClient
import com.example.networksample.data.repository.AuthRepository
import com.example.networksample.ui.screen.RegistrationScreen
import com.example.networksample.ui.theme.NetworkSampleTheme

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
        val dataStore = DataStore(applicationContext)
        val repository = AuthRepository(dataStore, RetrofitClient.auth)
        setContent {
            NetworkSampleTheme {
               RegistrationScreen(repository)
            }
        }
    }
}

