package com.example.networksample.ui.screen

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.material3.Button
import androidx.compose.material3.OutlinedTextField
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.rememberCoroutineScope
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import com.example.networksample.data.remote.network.RetrofitClient
import com.example.networksample.data.remote.network.auth.RegistrationRequest
import com.example.networksample.data.repository.AuthRepository
import kotlinx.coroutines.launch

@Composable
fun RegistrationScreen( repository: AuthRepository){

    Column(
        modifier = Modifier.fillMaxSize(),
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.Center
    ) {
        val userName = remember { mutableStateOf("") }
        val email = remember { mutableStateOf("") }
        val password = remember { mutableStateOf("") }
        val coroutine = rememberCoroutineScope()
        OutlinedTextField(
            value = userName.value,
            onValueChange = {userName.value = it}
        )
        OutlinedTextField(
            value = email.value,
            onValueChange = {email.value = it}
        )
        OutlinedTextField(
            value = password.value,
            onValueChange = {password.value = it}
        )
        Button(onClick = {
            coroutine.launch {
                val registrationRequest = RegistrationRequest(
                    email = email.value,
                    password = password.value,
                    userName = userName.value
                )
                repository.registration(registrationRequest)
            }
        }) {
            Text("registration")
        }
    }
}